/*
**  REXXVARS.H
**
**  Header File for use of rexxvars.o with DICE
*/


Prototype __stkargs long CheckRexxMsg(struct Message* msg);
/* Usage: boolean = CheckRexxMsg(message); */

Prototype __stkargs long GetRexxVar(struct RexxMsg* msg, char* name, char** value);
/* Usage: error = GetRexxVar(message,variable,&value); */

Prototype __stkargs long SetRexxVar(struct RexxMsg* msg, char* name, char* value, int length);
/* Usage: error = SetRexxVar(message,variable,value,length); */



/*
**  For the C language calls the following declarations apply:
**   struct RexxMsg *message;
**   char *variable;
**   char *value;
**   long length;
**   long boolean;
*/



