#include "defs.h"           /* for Ep, ED    */

Prototype void * currentmenu  (void); /* muss neu besetzt werden bei jeder Veraenderung des aktuellen Textes */
Prototype void * currenthash  (void); /* muss neu besetzt werden bei jeder Veraenderung des aktuellen Textes */
Prototype void * currentwindow(void); /* muss neu besetzt werden bei jeder Veraenderung des aktuellen Textes */

Prototype void	 init_structures (void);

void * onlymenu  = NULL;
void * onlyhash  = NULL;


void * currentmenu (void)
{
    /* return(onlymenu); */

    if ((Ep == NULL) || (Ep->menustrip == NULL)) {
	return (get_menustrip (NULL));
    } /* if */
    return (Ep->menustrip);
} /* currentmenu */


void * currenthash(void)
{
    /* return(onlyhash); */

    if ((Ep == NULL) || (Ep->keytable == NULL)) {
	return (get_keytable (NULL));
    } /* if */
    return (Ep->keytable);
} /* currenthash */


void * currentwindow(void)
{
    return (Ep->win);
} /* currentwindow */


void init_structures (void)
{
    onlymenu = new_menustrip ("default",1);
    onlyhash = new_keytable  ("default",1);
} /* init_structures */


